Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# dePlugin Class Reference

`#include <dePlugins_priv.hpp>`

Inheritance diagram for dePlugin:

[legend]
List of all members.

## Public Member Functions
void * | GetInterface (IdePlugin::interface_t i)
int | Release ()
virtual deBoolean | EncodeData (void *Buffer, DWORD Length, void *NewBuffer, DWORD *NewLength)=0
virtual deBoolean | DecodeData (void *Buffer, DWORD Length, void *NewBuffer, DWORD *NewLength)=0
virtual DWORD | MaxEncodeLength (DWORD Length)=0
virtual DWORD | MaxDecodeLength (void *Buffer)=0
## Protected Member Functions
| dePlugin ()
virtual | ~dePlugin ()

## Constructor & Destructor Documentation

dePlugin::dePlugin | ( |  | ) | `[protected]`

dePlugin::~dePlugin | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

deBoolean dePlugin::DecodeData | ( | void * | Buffer,
|  | DWORD | Length,
|  | void * | NewBuffer,
|  | DWORD * | NewLength
| ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

deBoolean dePlugin::EncodeData | ( | void * | Buffer,
|  | DWORD | Length,
|  | void * | NewBuffer,
|  | DWORD * | NewLength
| ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

void * dePlugin::GetInterface | ( | IdePlugin::interface_t | i | ) |

| Reimplemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

DWORD dePlugin::MaxDecodeLength | ( | void * | Buffer | ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

DWORD dePlugin::MaxEncodeLength | ( | DWORD | Length | ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

int dePlugin::Release | ( |  | ) |

| Reimplemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

The documentation for this class was generated from the following files:

- dePlugins_priv.hpp
- IdePlugin.cpp